Skip to main content
GET
/
ai-agents
/
tools
List Tools
curl --request GET \
  --url https://{appId}.api-{region}.cometchat.io/v3/ai-agents/tools \
  --header 'apikey: <api-key>'
[
  {
    "_id": "myapp_myTool",
    "appId": "my-app-id",
    "name": "myTool",
    "type": "action",
    "displayName": "My Tool",
    "executionText": "Running my tool...",
    "doNotExecute": false,
    "tool": {
      "name": "myTool",
      "description": "A helpful tool",
      "parameters": {
        "type": "object",
        "properties": {},
        "required": []
      }
    },
    "createdAt": "2025-12-01T00:00:00.000Z",
    "updatedAt": "2025-12-01T00:00:00.000Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://cometchat-22654f5b-docs-android-v6-beta2.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

API Key (i.e. Rest API Key from the Dashboard).

Query Parameters

type
enum<string>

Filter tools by type

Available options:
action,
tool

Response

200 - application/json

List of tools

_id
string
Example:

"myapp_myTool"

appId
string
Example:

"my-app-id"

name
string
Example:

"myTool"

type
enum<string>
Available options:
action,
tool
Example:

"action"

displayName
string
Example:

"My Tool"

executionText
string
Example:

"Running my tool..."

doNotExecute
boolean
Example:

false

tool
object
createdAt
integer<date-time>
updatedAt
integer<date-time>